> ## Documentation Index
> Fetch the complete documentation index at: https://devshine-cbff6863.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# by ISIN API

Get brand data using an ISIN code.

<ParamField header="Authorization" type="string" required>
  Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.
</ParamField>

<ParamField path="isin" type="string" required>
  ISIN code (e.g., `US6541061031`)
</ParamField>

<ParamField query="allowNsfw" type="boolean">
  [hello@devshineteam.com](mailto:hello@devshineteam.com) evaluates brands for NSFW content and reserves the right to not return inappropriate brands. Depending on the severity, a brand may either not be returned at all (404), or be returned with its isNsfw property set to true. The allowNsfw query parameter lets you control this behavior:

  * Not set (default) — Some NSFW brands are not returned (404), others are returned with isNsfw: `true`.
  * `true` — Returns the brand regardless of its NSFW status.
  * `false` — Filters out all brands flagged as NSFW (returns 404).
</ParamField>

<ResponseField name="200" type="application/json">
  Successful request.

  <Expandable title="Show child attributes">
    <ResponseField name="id" type="string">Unique identifier for the brand</ResponseField>
    <ResponseField name="name" type="string | null">Brand name</ResponseField>
    <ResponseField name="domain" type="string">Brand website URL</ResponseField>
    <ResponseField name="claimed" type="boolean">Set to true if the owner of the brand claimed its brand profile on BrandApi</ResponseField>
    <ResponseField name="description" type="string | null">Brand description</ResponseField>
    <ResponseField name="longDescription" type="string | null">Brand long description</ResponseField>
    <ResponseField name="links" type="object[]">Social media links of the brand</ResponseField>
    <ResponseField name="logos" type="object[]">Logos, symbols & icons of the brand</ResponseField>
    <ResponseField name="colors" type="object[]">Accent, dark, light & palette colors of the brand</ResponseField>
    <ResponseField name="fonts" type="object[]">Title & body fonts of the brand</ResponseField>
    <ResponseField name="images" type="object[]">Banner & other images of the brand</ResponseField>

    <ResponseField name="qualityScore" type="number">
      Score between 0-1 which indicates the quality of the data for the given brand. Useful when you don't want to show lower quality brands to your users.

      Lower 3rd is poor quality, middle 3rd is OK quality, upper 3rd is high quality. Lower scores indicate that a brand is less likely to be "real". For example, where `google.com` will score high, `my-random-blog.com` will score between 0.3-0.4. The score factors in things like data-recency, whether the brand has been claimed, if it has been manually verified by our team, the brand's domain ranking on the web, as well as other factors.

      Don't rely on a fixed score for any given brand. The way we calculate this score may change over time as we add new factors, or tweak the weights of existing ones such that a score for a given brand may change. However, they will remain aligned such that scores divide quality into thirds: low, medium, high.
    </ResponseField>

    <ResponseField name="company" type="object">The company object returns firmographic data related to the brand</ResponseField>
    <ResponseField name="isNsfw" type="boolean">`true` when the brand is for adult content, e.g. is not safe for work</ResponseField>
    <ResponseField name="urn" type="string">Uniform Resource Name for the brand</ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Get brand data by ISIN theme={null}
  curl --request GET \
    --url https://api.brandapi.io/v2/brands/isin/{isin} \
    --header 'Authorization: Bearer <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "<string>",
    "name": "<string>",
    "domain": "<string>",
    "claimed": true,
    "description": "<string>",
    "longDescription": "<string>",
    "links": [
      {
        "name": "twitter",
        "url": "<string>"
      }
    ],
    "logos": [
      {
        "theme": "dark",
        "formats": [
          {
            "src": "<string>",
            "format": "svg",
            "height": 123,
            "width": 123,
            "size": 123,
            "background": "transparent"
          }
        ],
        "tags": [
          {}
        ],
        "type": "icon"
      }
    ],
    "colors": [
      {
        "hex": "<string>",
        "type": "accent",
        "brightness": 123
      }
    ],
    "fonts": [
      {
        "name": "<string>",
        "type": "title",
        "origin": "google",
        "originId": "<string>",
        "weights": [
          {}
        ]
      }
    ],
    "images": [
      {
        "formats": [
          {
            "src": "<string>",
            "format": "svg",
            "height": 123,
            "width": 123,
            "size": 123,
            "background": "transparent"
          }
        ],
        "tags": [
          {}
        ],
        "type": "banner"
      }
    ],
    "qualityScore": 123,
    "company": {
      "employees": 1,
      "financialIdentifiers": {
        "isin": [
          "<string>"
        ],
        "ticker": [
          "<string>"
        ]
      },
      "foundedYear": 123,
      "industries": [
        {
          "id": "<string>",
          "score": 123,
          "slug": "<string>",
          "name": "<string>",
          "emoji": "<string>",
          "parent": [
            {
              "id": "<string>",
              "slug": "<string>",
              "name": "<string>",
              "emoji": "<string>"
            }
          ]
        }
      ],
      "kind": "EDUCATIONAL",
      "location": {
        "city": "<string>",
        "country": "<string>",
        "countryCode": "<string>",
        "region": "<string>",
        "state": "<string>",
        "subregion": "<string>"
      }
    },
    "isNsfw": true,
    "urn": "<string>"
  }
  ```

  ```json 400 theme={null}
  {}
  ```

  ```json 401 theme={null}
  {}
  ```

  ```json 404 theme={null}
  {}
  ```

  ```json 429 theme={null}
  {}
  ```
</ResponseExample>
